# IRsPanelOwner Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | PanelDragInit ([in] IRsPanel *pPanel)
HRESULT | PanelDragMove ([in] IRsPanel *pPanel)
HRESULT | PanelDragEnd ([in] IRsPanel *pPanel)
HRESULT | GetWindow ([out] HWND *hWnd)
HRESULT | PanelMouseMove ([in] IRsPanel *pPanel)
HRESULT | PanelLMDown ([in]IRsPanel *pPanel)
HRESULT | PanelLMUp ([in] IRsPanel *pPanel)
HRESULT | PanelConChanged ([in] GUID idPanel,[in] CONID idCon)
HRESULT | OnPanelEvent ([in] UINT uMsg,[in] IRsPanel *pPanel,[in] WPARAM wParam,[in] LPARAM lParam)
HRESULT | GetOwnerId ([out, retval] GUID *idOwner)

## Detailed Description

The IRsPanelOwner interface provides methods for Panel Owner object.

## Member Function Documentation

HRESULT IRsPanelOwner::PanelDragInit | ( | [in] IRsPanel * | pPanel | ) |

Initializes drag mode for specified panel.

Parameters:

  | pPanel | [in] Pointer to panel whose drag mode will be initialize.

HRESULT IRsPanelOwner::PanelDragMove | ( | [in] IRsPanel * | pPanel | ) |

Move specified panel in drag mode.

Parameters:

  | pPanel | [in] Pointer to panel which will dragged.

HRESULT IRsPanelOwner::PanelDragEnd | ( | [in] IRsPanel * | pPanel | ) |

Finish drag mode for specified panel.

Parameters:

  | pPanel | [in] Pointer to panel whose drag mode will be finished.

HRESULT IRsPanelOwner::GetWindow | ( | [out] HWND * | hWnd | ) |

Get handle of the Windows window attached to this object.

Parameters:

  | hWnd | [out] Pointer to a variable of type HWND, filled with window handle.

HRESULT IRsPanelOwner::PanelMouseMove | ( | [in] IRsPanel * | pPanel | ) |

Notify specified panel mouse move.

Parameters:

  | pPanel | [in] Pointer to panel which will handle mouse move.

HRESULT IRsPanelOwner::PanelLMDown | ( | [in] IRsPanel * | pPanel | ) |

Notify specified panel left mouse button down.

Parameters:

  | pPanel | [in] Pointer to panel which will handle left mouse button down.

HRESULT IRsPanelOwner::PanelLMUp | ( | [in] IRsPanel * | pPanel | ) |

Notify specified panel left mouse button up.

Parameters:

  | pPanel | [in] Pointer to panel which will handle left mouse button up.

HRESULT IRsPanelOwner::PanelConChanged | ( | [in] GUID | idPanel,
|  | [in] CONID | idCon |
| ) |  |  |

Proceed panel connector change.

Parameters:

  | idPanel | [in] Panel GUID.
  | idCon | [in] Connector's ID.

HRESULT IRsPanelOwner::OnPanelEvent | ( | [in] UINT | uMsg,
|  | [in] IRsPanel * | pPanel,
|  | [in] WPARAM | wParam,
|  | [in] LPARAM | lParam |
| ) |  |  |

Notify panel event

Parameters:

  | uMsg | [in] Specifies the message to be sent. MSG_PANEL_CLOSE - send this message to close the LE panel. MSG_PANEL_RESIZED - send this message to refresh frame window client size. MSG_PANEL_RM_DOWN - send this message to notify when the user presses the right mouse button while the cursor is in the client area of a window, to open menu pop-up window.
  | pPanel | [in] This parameter is not used.
  | wParam | [in] Specifies additional message-specific information.
  | lParam | [in] Specifies additional message-specific information.

HRESULT IRsPanelOwner::GetOwnerId | ( | [out, retval] GUID * | idOwner | ) |

Get panel owner window ID.

Returns:
  idOwner [out, retval] Pointer to a variable of type GUID that receives the panel owner ID.